# Enum Class RunConfig.ToolExecutionMode

java.lang.Object
java.lang.Enum<RunConfig.ToolExecutionMode>
com.google.adk.agents.RunConfig.ToolExecutionMode

All Implemented Interfaces:
  `Serializable, Comparable<RunConfig.ToolExecutionMode>, Constable`

Enclosing class:
  `RunConfig`

public static enum RunConfig.ToolExecutionMode extends Enum<RunConfig.ToolExecutionMode>
Tool execution mode for the runner, when they are multiple tools requested (by the models or callbacks).

NONE: default to PARALLEL.

SEQUENTIAL: Multiple tools are executed in the order they are requested.

PARALLEL: Multiple tools are executed in parallel.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `PARALLEL`
  `SEQUENTIAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RunConfig.ToolExecutionMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RunConfig.ToolExecutionMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final RunConfig.ToolExecutionMode NONE

  - ### SEQUENTIAL

    public static final RunConfig.ToolExecutionMode SEQUENTIAL

  - ### PARALLEL

    public static final RunConfig.ToolExecutionMode PARALLEL

- ## Method Details

  - ### values

    public static RunConfig.ToolExecutionMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RunConfig.ToolExecutionMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null